| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Containers::find< CONT > Class Template Reference

List of all members.

## Detailed Description

### template<class CONT>
class Containers::find< CONT >

Definition at line 54 of file KeyedObjectManager.cpp.

## Public Member Functions
| find (const void *o)
bool | operator() (const void *cmp) const
bool | operator() (const v_type &cmp) const
## Private Types
typedef CONT::value_type | v_type
## Private Attributes
const void * | m_obj

## Member Typedef Documentation

template<class CONT>

typedef CONT::value_type Containers::find< CONT >::v_type`[private]`

Definition at line 56 of file KeyedObjectManager.cpp.

## Constructor & Destructor Documentation

template<class CONT>

Containers::find< CONT >::find | ( | const void * | o | ) | `[inline]`

Definition at line 58 of file KeyedObjectManager.cpp.

    00058 : m_obj(o) {}

## Member Function Documentation

template<class CONT>

bool Containers::find< CONT >::operator() | ( | const void * | cmp | ) | const`[inline]`

Definition at line 59 of file KeyedObjectManager.cpp.

References Containers::find< CONT >::m_obj.

    00059                                             {
    00060       return cmp == m_obj;
    00061     }

template<class CONT>

bool Containers::find< CONT >::operator() | ( | const v_type & | cmp | ) | const`[inline]`

Definition at line 62 of file KeyedObjectManager.cpp.

    00062                                               {
    00063       return (*this)(cmp.second);
    00064     }

## Member Data Documentation

template<class CONT>

const void* Containers::find< CONT >::m_obj`[private]`

Definition at line 55 of file KeyedObjectManager.cpp.

Referenced by Containers::find< CONT >::operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/KeyedObjectManager.cpp